Bug 954104 - a2ps generates a curious file name.
Summary: a2ps generates a curious file name.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: a2ps
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-20 19:29 UTC by nt.guilde
Modified: 2013-05-22 03:21 UTC (History)
2 users (show)

Fixed In Version: a2ps-4.14-20.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-22 03:21:46 UTC


Attachments (Terms of Use)
echo hello | strace 2>strace.txt /bin/a2ps (25.93 KB, text/plain)
2013-04-25 17:48 UTC, nt.guilde
no flags Details

Description nt.guilde 2013-04-20 19:29:10 UTC
Description of problem:

$ echo hello | /bin/a2ps
a2ps: cannot find file `(1/\b\\.afm': No such file or directory

$ echo hello | /bin/a2ps
a2ps: cannot find file `(1\016\b\\.afm': No such file or directory

But it works for 'root'.

Version-Release number of selected component (if applicable):

a2ps-4.14-16.fc18.i686

How reproducible:

Always.


Steps to Reproduce:
1. See description.
2.
3.
  
Actual results:

Expected results:

Additional info:

Comment 1 Tim Waugh 2013-04-24 13:52:05 UTC
I can't reproduce this here.

What does 'ls -lR ~/.a2ps' say?  Also, how about 'rpm -V a2ps'?

Comment 2 nt.guilde 2013-04-24 17:05:58 UTC
$ ls -lR ~/.a2ps
ls: cannot access /home/nt/.a2ps: No such file or directory
$
$ rpm -V a2ps
$

  I have two machines displaying this error. Both went from f16 to f18, with
f17 as a stepping stone. On both, a2ps works correctly for 'root'.

Comment 3 Tim Waugh 2013-04-25 09:28:56 UTC
Please run 'echo hello | strace 2>strace.txt /bin/a2ps' and attach strace.txt.  Thanks.

Comment 4 nt.guilde 2013-04-25 17:48:56 UTC
Created attachment 740003 [details]
echo hello | strace 2>strace.txt /bin/a2ps

Comment 5 Tim Waugh 2013-04-29 11:24:33 UTC
What does 'locale' say?

Comment 6 nt.guilde 2013-04-29 16:07:55 UTC
$ locale
LANG=
LC_CTYPE=fr_FR.iso885915@euro
LC_NUMERIC="POSIX"
LC_TIME="POSIX"
LC_COLLATE=C
LC_MONETARY="POSIX"
LC_MESSAGES=en_US.utf8
LC_PAPER="POSIX"
LC_NAME="POSIX"
LC_ADDRESS="POSIX"
LC_TELEPHONE="POSIX"
LC_MEASUREMENT="POSIX"
LC_IDENTIFICATION="POSIX"
LC_ALL=

  With LC_CTYPE=C or POSIX, fr_FR.utf8, fr_FR, fr_FR.iso88591, it works. I will switch to fr_FR.iso88591.
  Thank you.

Comment 7 Tim Waugh 2013-04-30 11:59:36 UTC
Thanks. I wasn't able to reproduce the symptom here, but valgrind had some things to say about malloc/free which I've now fixed.

Should work fine in a2ps-4.14-20.fc18.

Comment 8 Fedora Update System 2013-04-30 12:09:10 UTC
a2ps-4.14-20.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/a2ps-4.14-20.fc19

Comment 9 Fedora Update System 2013-04-30 12:10:04 UTC
a2ps-4.14-20.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/a2ps-4.14-20.fc18

Comment 10 Fedora Update System 2013-04-30 20:11:17 UTC
Package a2ps-4.14-20.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing a2ps-4.14-20.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7103/a2ps-4.14-20.fc19
then log in and leave karma (feedback).

Comment 11 nt.guilde 2013-04-30 20:29:13 UTC
  F18 here.

Comment 12 Tim Waugh 2013-05-03 15:04:08 UTC
The update is available for Fedora 18 as well as Fedora 19.

su -c 'yum update --enablerepo=updates-testing a2ps-4.14-20.fc18'

Comment 13 nt.guilde 2013-05-03 17:33:26 UTC
  a2ps-4.14-20.fc18 works with LC_CTYPE=fr_FR.iso885915@euro.
  Thank you.

Comment 14 Fedora Update System 2013-05-22 03:21:46 UTC
a2ps-4.14-20.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.